package cn.ibizlab.core.uaa.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.util.ObjectUtils;
import org.springframework.util.DigestUtils;
import cn.ibizlab.util.domain.EntityBase;
import cn.ibizlab.util.annotation.DEField;
import cn.ibizlab.util.enums.DEPredefinedFieldType;
import cn.ibizlab.util.enums.DEFieldDefaultValueType;
import java.io.Serializable;
import lombok.Data;
import org.springframework.data.annotation.Transient;


import com.baomidou.mybatisplus.annotation.*;
import cn.ibizlab.util.domain.EntityMP;


/**
 * 实体[系统菜单项]
 */
@Data
@TableName(value = "IBZPSAPPMENUITEM",resultMap = "SysAppMenuItemResultMap")
public class SysAppMenuItem extends EntityMP implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 系统菜单项标识
     */
    @DEField(name = "sys_psappmenuitemid" , isKeyField=true)
    @TableId(value= "sys_psappmenuitemid",type=IdType.UUID)
    @JSONField(name = "appmenuitemid")
    @JsonProperty("appmenuitemid")
    private String appmenuitemid;
    /**
     * 系统菜单项名称
     */
    @DEField(name = "sys_psappmenuitemname")
    @TableField(value = "sys_psappmenuitemname")
    @JSONField(name = "appmenuitemname")
    @JsonProperty("appmenuitemname")
    private String appmenuitemname;
    /**
     * 业务系统应用标识
     */
    @DEField(name = "psappid")
    @TableField(value = "psappid")
    @JSONField(name = "appid")
    @JsonProperty("appid")
    private String appid;
    /**
     * 业务系统应用名称
     */
    @DEField(name = "psappname")
    @TableField(value = "psappname")
    @JSONField(name = "appname")
    @JsonProperty("appname")
    private String appname;
    /**
     * 业务系统菜单标识
     */
    @DEField(name = "psappmenuid")
    @TableField(value = "psappmenuid")
    @JSONField(name = "appmenuid")
    @JsonProperty("appmenuid")
    private String appmenuid;
    /**
     * 业务系统菜单名称
     */
    @DEField(name = "psappmenuname")
    @TableField(value = "psappmenuname")
    @JSONField(name = "appmenuname")
    @JsonProperty("appmenuname")
    private String appmenuname;
    /**
     * 业务系统菜单项标识
     */
    @DEField(name = "psappmenuitemid")
    @TableField(value = "psappmenuitemid")
    @JSONField(name = "menuitemid")
    @JsonProperty("menuitemid")
    private String menuitemid;
    /**
     * 业务系统父菜单项标识
     */
    @DEField(name = "psapppmenuitemid")
    @TableField(value = "psapppmenuitemid")
    @JSONField(name = "parentmenuitemid")
    @JsonProperty("parentmenuitemid")
    private String parentmenuitemid;
    /**
     * 业务系统标识
     */
    @TableField(value = "pssystemid")
    @JSONField(name = "pssystemid")
    @JsonProperty("pssystemid")
    private String pssystemid;
    /**
     * 建立时间
     */
    @DEField(preType = DEPredefinedFieldType.CREATEDATE)
    @TableField(value = "createdate" , fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;
    /**
     * 更新时间
     */
    @DEField(preType = DEPredefinedFieldType.UPDATEDATE)
    @TableField(value = "updatedate")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;



    /**
     * 设置 [系统菜单项名称]
     */
    public void setAppmenuitemname(String appmenuitemname){
        this.appmenuitemname = appmenuitemname ;
        this.modify("sys_psappmenuitemname",appmenuitemname);
    }
    /**
     * 设置 [业务系统应用标识]
     */
    public void setAppid(String appid){
        this.appid = appid ;
        this.modify("psappid",appid);
    }
    /**
     * 设置 [业务系统应用名称]
     */
    public void setAppname(String appname){
        this.appname = appname ;
        this.modify("psappname",appname);
    }
    /**
     * 设置 [业务系统菜单标识]
     */
    public void setAppmenuid(String appmenuid){
        this.appmenuid = appmenuid ;
        this.modify("psappmenuid",appmenuid);
    }
    /**
     * 设置 [业务系统菜单名称]
     */
    public void setAppmenuname(String appmenuname){
        this.appmenuname = appmenuname ;
        this.modify("psappmenuname",appmenuname);
    }
    /**
     * 设置 [业务系统菜单项标识]
     */
    public void setMenuitemid(String menuitemid){
        this.menuitemid = menuitemid ;
        this.modify("psappmenuitemid",menuitemid);
    }
    /**
     * 设置 [业务系统父菜单项标识]
     */
    public void setParentmenuitemid(String parentmenuitemid){
        this.parentmenuitemid = parentmenuitemid ;
        this.modify("psapppmenuitemid",parentmenuitemid);
    }
    /**
     * 设置 [业务系统标识]
     */
    public void setPssystemid(String pssystemid){
        this.pssystemid = pssystemid ;
        this.modify("pssystemid",pssystemid);
    }

}


