package cn.ibizlab.core.uaa.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.util.ObjectUtils;
import org.springframework.util.DigestUtils;
import cn.ibizlab.util.domain.EntityBase;
import cn.ibizlab.util.annotation.DEField;
import cn.ibizlab.util.enums.DEPredefinedFieldType;
import cn.ibizlab.util.enums.DEFieldDefaultValueType;
import java.io.Serializable;
import lombok.Data;
import org.springframework.data.annotation.Transient;


import com.baomidou.mybatisplus.annotation.*;
import cn.ibizlab.util.domain.EntityMP;


/**
 * 实体[实体数据能力]
 */
@Data
@TableName(value = "IBZPSDEOPPRIV",resultMap = "SysOperatorPrivResultMap")
public class SysOperatorPriv extends EntityMP implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 实体数据操作标识标识
     */
    @DEField(name = "sys_psdeopprivid" , isKeyField=true)
    @TableId(value= "sys_psdeopprivid",type=IdType.UUID)
    @JSONField(name = "operatorprivid")
    @JsonProperty("operatorprivid")
    private String operatorprivid;
    /**
     * 实体数据操作标识名称
     */
    @DEField(name = "sys_psdeopprivname")
    @TableField(value = "sys_psdeopprivname")
    @JSONField(name = "operatorprivname")
    @JsonProperty("operatorprivname")
    private String operatorprivname;
    /**
     * 实体标识
     */
    @DEField(name = "psdataentityid")
    @TableField(value = "psdataentityid")
    @JSONField(name = "entityid")
    @JsonProperty("entityid")
    private String entityid;
    /**
     * 实体名称
     */
    @DEField(name = "psdataentityname")
    @TableField(value = "psdataentityname")
    @JSONField(name = "entityname")
    @JsonProperty("entityname")
    private String entityname;
    /**
     * 实体数据范围标识
     */
    @DEField(name = "psdedatarangeid")
    @TableField(value = "psdedatarangeid")
    @JSONField(name = "rangeid")
    @JsonProperty("rangeid")
    private String rangeid;
    /**
     * 实体数据范围名称
     */
    @DEField(name = "psdedatarangename")
    @TableField(value = "psdedatarangename")
    @JSONField(name = "rangename")
    @JsonProperty("rangename")
    private String rangename;
    /**
     * 系统模块标识
     */
    @DEField(name = "pssysmoduleid")
    @TableField(value = "pssysmoduleid")
    @JSONField(name = "moduleid")
    @JsonProperty("moduleid")
    private String moduleid;
    /**
     * 系统模块名称
     */
    @DEField(name = "pssysmodulename")
    @TableField(value = "pssysmodulename")
    @JSONField(name = "modulename")
    @JsonProperty("modulename")
    private String modulename;
    /**
     * 数据集/实体行为类型
     */
    @DEField(name = "pssourcetype")
    @TableField(value = "pssourcetype")
    @JSONField(name = "sourcetype")
    @JsonProperty("sourcetype")
    private String sourcetype;
    /**
     * 数据集/实体行为标识
     */
    @DEField(name = "pssourceid")
    @TableField(value = "pssourceid")
    @JSONField(name = "sourceid")
    @JsonProperty("sourceid")
    private String sourceid;
    /**
     * 数据集/实体行为名称
     */
    @DEField(name = "pssourcename")
    @TableField(value = "pssourcename")
    @JSONField(name = "sourcename")
    @JsonProperty("sourcename")
    private String sourcename;
    /**
     * 系统标识
     */
    @TableField(value = "pssystemid")
    @JSONField(name = "pssystemid")
    @JsonProperty("pssystemid")
    private String pssystemid;
    /**
     * 建立时间
     */
    @DEField(preType = DEPredefinedFieldType.CREATEDATE)
    @TableField(value = "createdate" , fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;
    /**
     * 更新时间
     */
    @DEField(preType = DEPredefinedFieldType.UPDATEDATE)
    @TableField(value = "updatedate")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;



    /**
     * 设置 [实体数据操作标识名称]
     */
    public void setOperatorprivname(String operatorprivname){
        this.operatorprivname = operatorprivname ;
        this.modify("sys_psdeopprivname",operatorprivname);
    }
    /**
     * 设置 [实体标识]
     */
    public void setEntityid(String entityid){
        this.entityid = entityid ;
        this.modify("psdataentityid",entityid);
    }
    /**
     * 设置 [实体名称]
     */
    public void setEntityname(String entityname){
        this.entityname = entityname ;
        this.modify("psdataentityname",entityname);
    }
    /**
     * 设置 [实体数据范围标识]
     */
    public void setRangeid(String rangeid){
        this.rangeid = rangeid ;
        this.modify("psdedatarangeid",rangeid);
    }
    /**
     * 设置 [实体数据范围名称]
     */
    public void setRangename(String rangename){
        this.rangename = rangename ;
        this.modify("psdedatarangename",rangename);
    }
    /**
     * 设置 [系统模块标识]
     */
    public void setModuleid(String moduleid){
        this.moduleid = moduleid ;
        this.modify("pssysmoduleid",moduleid);
    }
    /**
     * 设置 [系统模块名称]
     */
    public void setModulename(String modulename){
        this.modulename = modulename ;
        this.modify("pssysmodulename",modulename);
    }
    /**
     * 设置 [数据集/实体行为类型]
     */
    public void setSourcetype(String sourcetype){
        this.sourcetype = sourcetype ;
        this.modify("pssourcetype",sourcetype);
    }
    /**
     * 设置 [数据集/实体行为标识]
     */
    public void setSourceid(String sourceid){
        this.sourceid = sourceid ;
        this.modify("pssourceid",sourceid);
    }
    /**
     * 设置 [数据集/实体行为名称]
     */
    public void setSourcename(String sourcename){
        this.sourcename = sourcename ;
        this.modify("pssourcename",sourcename);
    }
    /**
     * 设置 [系统标识]
     */
    public void setPssystemid(String pssystemid){
        this.pssystemid = pssystemid ;
        this.modify("pssystemid",pssystemid);
    }

}


