package cn.ibizlab.core.uaa.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.uaa.domain.SysUniRes;
/**
 * 关系型数据实体[SysUniRes] 查询条件对象
 */
@Slf4j
@Data
public class SysUniResSearchContext extends QueryWrapperContext<SysUniRes> {

	private String n_sys_pssysuniresname_like;//[实体2名称]
	public void setN_sys_pssysuniresname_like(String n_sys_pssysuniresname_like) {
        this.n_sys_pssysuniresname_like = n_sys_pssysuniresname_like;
        if(!ObjectUtils.isEmpty(this.n_sys_pssysuniresname_like)){
            this.getSelectCond().like("sys_pssysuniresname", n_sys_pssysuniresname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.getSelectCond().or().like("sys_pssysuniresname",query);
		 }
	}
}




