package cn.ibizlab.core.uaa.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.uaa.domain.SysOperatorPriv;
import cn.ibizlab.core.uaa.filter.SysOperatorPrivSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[SysOperatorPriv] 服务对象接口
 */
public interface ISysOperatorPrivService extends IService<SysOperatorPriv>{

    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean checkKey(SysOperatorPriv et) ;
    SysOperatorPriv getDraft(SysOperatorPriv et) ;
    boolean create(SysOperatorPriv et) ;
    void createBatch(List<SysOperatorPriv> list) ;
    SysOperatorPriv get(String key) ;
    boolean update(SysOperatorPriv et) ;
    void updateBatch(List<SysOperatorPriv> list) ;
    boolean save(SysOperatorPriv et) ;
    void saveBatch(List<SysOperatorPriv> list) ;
    Page<SysOperatorPriv> searchDefault(SysOperatorPrivSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


