package cn.ibizlab.core.uaa.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.uaa.domain.SysUniRes;
import cn.ibizlab.core.uaa.filter.SysUniResSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[SysUniRes] 服务对象接口
 */
public interface ISysUniResService extends IService<SysUniRes>{

    boolean update(SysUniRes et) ;
    void updateBatch(List<SysUniRes> list) ;
    boolean save(SysUniRes et) ;
    void saveBatch(List<SysUniRes> list) ;
    boolean checkKey(SysUniRes et) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    SysUniRes getDraft(SysUniRes et) ;
    SysUniRes get(String key) ;
    boolean create(SysUniRes et) ;
    void createBatch(List<SysUniRes> list) ;
    Page<SysUniRes> searchDefault(SysUniResSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

}


