package cn.ibizlab.core.uaa.service.impl;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;
import java.util.Map;
import java.util.HashSet;
import java.util.HashMap;
import java.util.Collection;
import java.util.Objects;
import java.util.Optional;
import java.math.BigInteger;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.util.ObjectUtils;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Lazy;
import cn.ibizlab.core.uaa.domain.SysOperatorPriv;
import cn.ibizlab.core.uaa.filter.SysOperatorPrivSearchContext;
import cn.ibizlab.core.uaa.service.ISysOperatorPrivService;

import cn.ibizlab.util.helper.CachedBeanCopier;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.ibizlab.core.uaa.mapper.SysOperatorPrivMapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.alibaba.fastjson.JSONObject;
import org.springframework.util.StringUtils;

/**
 * 实体[实体数据能力] 服务对象接口实现
 */
@Slf4j
@Service("SysOperatorPrivServiceImpl")
public class SysOperatorPrivServiceImpl extends ServiceImpl<SysOperatorPrivMapper, SysOperatorPriv> implements ISysOperatorPrivService {


    private int batchSize = 500;

    @Override
    @Transactional
    public boolean remove(String key) {
        boolean result=removeById(key);
        return result ;
    }

    @Override
    public void removeBatch(Collection<String> idList) {
        removeByIds(idList);
    }

    @Override
    public boolean checkKey(SysOperatorPriv et) {
        return (!ObjectUtils.isEmpty(et.getOperatorprivid()))&&(!Objects.isNull(this.getById(et.getOperatorprivid())));
    }

    @Override
    public SysOperatorPriv getDraft(SysOperatorPriv et) {
        return et;
    }

    @Override
    @Transactional
    public boolean create(SysOperatorPriv et) {
        if(!this.retBool(this.baseMapper.insert(et)))
            return false;
        CachedBeanCopier.copy(get(et.getOperatorprivid()),et);
        return true;
    }

    @Override
    public void createBatch(List<SysOperatorPriv> list) {
        this.saveBatch(list,batchSize);
    }

    @Override
    @Transactional
    public SysOperatorPriv get(String key) {
        SysOperatorPriv et = getById(key);
        if(et==null){
            et=new SysOperatorPriv();
            et.setOperatorprivid(key);
        }
        else{
        }
        return et;
    }

    @Override
    @Transactional
    public boolean update(SysOperatorPriv et) {
        if(!update(et,(Wrapper) et.getUpdateWrapper(true).eq("sys_psdeopprivid",et.getOperatorprivid())))
            return false;
        CachedBeanCopier.copy(get(et.getOperatorprivid()),et);
        return true;
    }

    @Override
    public void updateBatch(List<SysOperatorPriv> list) {
        updateBatchById(list,batchSize);
    }

    @Override
    @Transactional
    public boolean save(SysOperatorPriv et) {
        if(!saveOrUpdate(et))
            return false;
        return true;
    }

    @Override
    @Transactional(
            rollbackFor = {Exception.class}
    )
    public boolean saveOrUpdate(SysOperatorPriv et) {
        if (null == et) {
            return false;
        } else {
            return checkKey(et) ? this.update(et) : this.create(et);
        }
    }

    @Override
    public void saveBatch(List<SysOperatorPriv> list) {
        saveOrUpdateBatch(list,batchSize);
    }



    /**
     * 查询集合 DEFAULT
     */
    @Override
    public Page<SysOperatorPriv> searchDefault(SysOperatorPrivSearchContext context) {
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<SysOperatorPriv> pages=baseMapper.searchDefault(context.getPages(),context,context.getSelectCond());
        return new PageImpl<SysOperatorPriv>(pages.getRecords(), context.getPageable(), pages.getTotal());
    }




    @Override
    public List<JSONObject> select(String sql, Map param){
        return this.baseMapper.selectBySQL(sql,param);
    }

    @Override
    @Transactional
    public boolean execute(String sql , Map param){
        if (sql == null || sql.isEmpty()) {
            return false;
        }
        if (sql.toLowerCase().trim().startsWith("insert")) {
            return this.baseMapper.insertBySQL(sql,param);
        }
        if (sql.toLowerCase().trim().startsWith("update")) {
            return this.baseMapper.updateBySQL(sql,param);
        }
        if (sql.toLowerCase().trim().startsWith("delete")) {
            return this.baseMapper.deleteBySQL(sql,param);
        }
        log.warn("暂未支持的SQL语法");
        return true;
    }

}


